<div class="container" *ngIf="isVisible">
  <button (click)="onCrossButtonClick()" class="close-btn">X</button>
  <div class="edit-profile-form">
    <form [formGroup]="editProfileForm" id="editProfileForm">
      <input type="text" name="first_name" placeholder="First Name" formControlName="first_name">
      <input type="text" name="last_name" placeholder="Last Name" formControlName="last_name">
      <input type="email" name="email" placeholder="Email" formControlName="email">
      <input type="text" name="username" placeholder="Username" formControlName="username">
      <button type="submit" class="submit" (click)="updateProfile()">Update</button>
    </form>
  </div>
</div>
